> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yutori.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Updates

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.yutori.com/v1/scouting/tasks/36d178a0-591f-4567-8019-32d24f9e55ba/updates?page_size=20' \
    --header 'X-API-Key: YOUR_API_KEY'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.yutori.com/v1/scouting/tasks/36d178a0-591f-4567-8019-32d24f9e55ba/updates",
      headers={"X-API-Key": "YOUR_API_KEY"},
      params={"page_size": 20}
  )
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const params = new URLSearchParams({ page_size: "20" });
  const response = await fetch(
    `https://api.yutori.com/v1/scouting/tasks/36d178a0-591f-4567-8019-32d24f9e55ba/updates?${params}`,
    {
      method: "GET",
      headers: { "X-API-Key": "YOUR_API_KEY" }
    }
  );
  const data = await response.json();
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/scouting/tasks/{scout_id}/updates
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.yutori.com
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /v1/scouting/tasks/{scout_id}/updates:
    get:
      summary: Get Updates Api
      operationId: get_updates_api_v1_scouting_tasks__scout_id__updates_get
      parameters:
        - name: scout_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Scout Id
        - name: page_size
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Page Size
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetScoutUpdatesPublicResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetScoutUpdatesPublicResponse:
      properties:
        updates:
          items:
            $ref: '#/components/schemas/DeveloperUpdate'
          type: array
          title: Updates
        prev_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Prev Cursor
          description: Cursor for previous page
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Cursor for next page
      type: object
      required:
        - updates
      title: GetScoutUpdatesPublicResponse
      description: Public API response for scout updates. Excludes internal fields.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DeveloperUpdate:
      properties:
        id:
          type: string
          title: Id
        timestamp:
          type: integer
          title: Timestamp
        content:
          type: string
          title: Content
        citations:
          items:
            $ref: '#/components/schemas/Citation'
          type: array
          title: Citations
        stats:
          anyOf:
            - $ref: '#/components/schemas/DeveloperReplayStats'
            - type: 'null'
        structured_result:
          anyOf:
            - additionalProperties: true
              type: object
            - items: {}
              type: array
            - type: 'null'
          title: Structured Result
        structured_output_status:
          anyOf:
            - type: string
              enum:
                - not_requested
                - pending
                - succeeded
                - failed
            - type: 'null'
          title: Structured Output Status
        header_image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Header Image Url
      type: object
      required:
        - id
        - timestamp
        - content
      title: DeveloperUpdate
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Citation:
      properties:
        id:
          type: string
          title: Id
        url:
          type: string
          title: Url
        preview_data:
          additionalProperties: true
          type: object
          title: Preview Data
      type: object
      required:
        - id
        - url
      title: Citation
    DeveloperReplayStats:
      properties:
        num_tool_calls:
          type: integer
          title: Num Tool Calls
          default: 0
        num_mcp_tool_calls:
          type: integer
          title: Num Mcp Tool Calls
          default: 0
        num_webpages_read:
          type: integer
          title: Num Webpages Read
          default: 0
        num_navigator_steps:
          type: integer
          title: Num Navigator Steps
          default: 0
        num_websites_visited:
          type: integer
          title: Num Websites Visited
          default: 0
        sec_saved:
          type: integer
          title: Sec Saved
          default: 0
      type: object
      title: DeveloperReplayStats
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````